package de.intevation.flys.artifacts.model;

import java.io.Serializable;

import gnu.trove.TDoubleArrayList;


public class FlowVelocityData implements Serializable {

    private TDoubleArrayList km;
    private TDoubleArrayList vMain;
    private TDoubleArrayList vTotal;
    private TDoubleArrayList tauMain;
    private TDoubleArrayList q;
    private String zone;


    protected FlowVelocityData() {
        this.km      = new TDoubleArrayList();
        this.vMain   = new TDoubleArrayList();
        this.vTotal  = new TDoubleArrayList();
        this.tauMain = new TDoubleArrayList();
        this.q       = new TDoubleArrayList();
    }


    public void addKM(double km) {
        this.km.add(km);
    }

    public double getKM(int idx) {
        return km.get(idx);
    }

    public void addVMain(double vMain) {
        this.vMain.add(vMain);
    }

    public double getVMain(int idx) {
        return vMain.get(idx);
    }

    public void addVTotal(double vTotal) {
        this.vTotal.add(vTotal);
    }

    public double getVTotal(int idx) {
        return vTotal.get(idx);
    }

    public void addTauMain(double tauMain) {
        this.tauMain.add(tauMain);
    }

    public double getTauMain(int idx) {
        return tauMain.get(idx);
    }

    public void addQ(double q) {
        this.q.add(q);
    }

    public double getQ(int idx) {
        return q.get(idx);
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public String getZone() {
        return zone;
    }

    public int size() {
        return km.size();
    }
}
